  program

  map
    module('winapi')
        FlashWindowEx(long pfwi),long,pascal,raw,name('FlashWindowEx'),proc
        ! http://msdn.microsoft.com/en-gb/library/windows/desktop/ms679347(v=vs.85).aspx
    end
  end

FLASHWINFO  group,pre(fwi)
cbsize          ulong
hwnd            long  !A handle to the window to be flashed. The window can be either opened or minimized
dwFlags         long  !The flash status. This parameter can be one or more of the following equates
uCount          ulong !The number of times to flash the window
dwTimeout       long  !The rate at which the window is to be flashed, in milliseconds. If dwTimeout is zero, the function uses the default cursor blink rate
            end



FLASHW_ALL          equate(3) !Flash both the window caption and taskbar button. This is equivalent to setting the FLASHW_CAPTION | FLASHW_TRAY flags.
FLASHW_CAPTION      equate(1) !Flash the window caption
FLASHW_STOP         equate(0) !Stop flashing. The system restores the window to its original state
FLASHW_TIMER        equate(4) !Flash continuously, until the FLASHW_STOP flag is set.
FLASHW_TIMERNOFG    equate(12) !Flash continuously until the window comes to the foreground.
FLASHW_TRAY         equate(2) !Flash the taskbar button.

result              long !status of winapi calls

Window WINDOW('Window Caption'),AT(,,260,100),CENTER,SYSTEM,GRAY
       BUTTON('&Do it'),AT(102,52,45,14),USE(?btnDoIt)
     END

  code

  open(window)

  accept
    case field()
    of ?btnDoIt
      case event()
      of event:accepted
        fwi:dwFlags = FLASHW_CAPTION
        fwi:dwTimeout = 0
        fwi:ucount = 10
        fwi:hwnd = window{prop:handle}
        fwi:cbsize = size(FLASHWINFO)
        result = FlashWindowEx(address(FLASHWINFO))
      end
    end
  end
  close(window)


